function varargout=plotElementsNumber(this,varargin)
  default_PlotOptions={'HorizontalAlignment','center','VerticalAlignment','middle','clipping','on'};
  Ba=barycenters(this);
  strNum=num2str([1:this.nme]');
  switch this.dim
    case 2
      h=text(Ba(1,:),Ba(2,:),strNum,default_PlotOptions{:},varargin{:});
    case 3
      h=text(Ba(1,:),Ba(2,:),Ba(3,:),strNum,default_PlotOptions{:}, varargin{:});
    otherwise
      warning('Unable to plot in space dimension %d',this.dim);h=[];  
  end
  leg=sprintf('Elmt num');
  if nargout>=1, varargout{1}=h;end
  if nargout==2, varargout{2}=leg;end
end
