function h=plotSimplex(this,k,vscale,varargin)
% 
  Me=this.me(:,k);
  nMe=length(Me);
  q=(this.q(:,Me)+repmat(vscale,1,nMe))';
  me=1:length(Me);
  eval(sprintf('Plot%dSimplex%dd(me,q,varargin);',this.d,this.dim));
end

function Plot3Simplex3d(me,q,PlotOptions)
  h=tetramesh(me,q,PlotOptions{:});
end

function Plot2Simplex3d(me,q,PlotOptions)
  h=trimesh(me,q(:,1),q(:,2),q(:,3),'EdgeColor','k',PlotOptions{:});
end

function Plot1Simplex3d(me,q,PlotOptions)
  Q=@(i)[q(me(1),i);q(me(2),i)];
  H=line(Q(1),Q(2),Q(3),PlotOptions{:});%,'Color',Color,PlotOptions{:});
end

function Plot2Simplex2d(me,q,PlotOptions)
  h=triplot(me,q(:,1)',q(:,2)',PlotOptions{:});%'EdgeColor','k',PlotOptions{:});
end

function Plot1Simplex2d(me,q,PlotOptions)
  Q=@(i)[q(me(1),i);q(me(2),i)];
  H=line(Q(1),Q(2),PlotOptions{:});%,'Color',Color,PlotOptions{:});
end